Jump to content
ChristopherM

Change Color by Layer to Color to spesific

Recommended Posts

ChristopherM

Hi

 

Is there a command where I can select all and change the properties from Color ByLayer to specific color, which is the same color as the color ByLayer.

 

Say there is a layer set to color red ByLayer and everything in that layer I want to move to a new layer which is green. But I want to keep those things red and not make them green.

 

Thanks for the help

CM

Share this post


Link to post
Share on other sites
Dana W

Piece of cake.

 

First assign all your objects a specific object property, in this case the color.

Select all your objects, then simply click the object properties "Color" drop down list and click on the desired color from the index or "More colors...". See image.

 

Then while the objects are still selected, click on the layer drop down list and click the layer you want them moved to, and Bob's your Uncle. The layer color property will then NOT override the specifically assigned object color properties.

colors.jpg

Share this post


Link to post
Share on other sites
ChristopherM

Don't think I understand or I wasn't clear enough.

 

I have lots of objects in different layers with different colors and it will take too long to select each single object or layer and give that object a color.

 

I want to select them all and automatically give them a specific color based on the layer. Fast and easy, or so it seems. If color on Layer red, give all objects on that layer red.

 

Still possible?

Share this post


Link to post
Share on other sites
BIGAL

I was thinking same as Dana if you want a few layers changed you will have to pick them in some way either by picking an object on that layer or using a DCL with a list. Then you can simply use a ssget with layer filter and use a simple CHPROP command. Anyway here is a start for you.

`

(defun c:setcol ( / lay ss col)
(setq col (getint "enter colour number"))
(while (setq ent (entsel "Pick an object pick nothing to exit ")) ; 
(setq lay (cdr (assoc 8 (entget (car ent)))))
(setq ss (ssget "X" (list (cons 8 lay))))
(command "CHPROP" SS "" "C" col "")
) ; while
)
(c:setcol) ; runs 1st time when loaded

Share this post


Link to post
Share on other sites
Dana W

Hmmm, Select All is a command. Since that is what you said you were doing in your original post, I went that way.

 

There are many ways to select your objects in bunches. On is using qselect, and applying the proper property filters to the selection criteria.

 

You can even use Layiso (layer isolate) then select all objects on the isolated layer that are a particular color. Perhaps you need someone to help you with a LISP routine to do these things. That I can't help with.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×